// Procedural brick texture
// GZ, 2014


uniform vec2 BrickStepSize;         // MUST NOT BE 0! use starting value 1.0,0.5

varying vec4 LightIntensity;        // contains diffuse and specular terms, w/o object color
varying vec2 Pos_mc;                // the position of the vertex/fragment in model(!) coords


void main()
{
	vec2 pos = Pos_mc / BrickStepSize;	  // now pos in [k,k+1] for one brick

    // are we in an odd brick row?
    if ( mod(abs(pos.y), 2.0) > 1.0 )     // this saves conversion to int / mod
        pos.x += 0.5;

    pos = fract( pos );                   // = rel. position within brick
    
    gl_FragColor = vec4(pos, 0.0, 1.0);   // visualize re. position
}
