#version 330 core


// Ein Shader, der sog. "Toon Shading" macht, d.h., die Objekte so
// darstellt, dass sie aehnlich wie in einem Cartoon aussehen (hence the name)
// 
// "T" in the app switches back and forth between toon.{frag,vert} and toon2.{frag,vert}
//
// GZ 2011
// PD 2017


uniform mat4 ModelViewProjectionMatrix;
uniform mat4 NormalMatrix;

in vec3 Vertex;                          // vertex coordinates, input attribute

// Wir brauchen spaeter im Fragment-Shader pro Pixel eine Normale;
// dazu benoetigen wir folgende Attribute;
// dies ist die einzige Aufgabe das Vertex-Shaders.

in vec3 Normal;
out vec3 fNormal;

void main()
{
	fNormal = vec4(NormalMatrix * vec4(Normal, 0.0)).xyz; // jetzt ist 'fNormal' in Weltkoordinaten

	// wie immer: Vertex nach Kamera.koord. transformieren
	gl_Position = ModelViewProjectionMatrix * vec4(Vertex, 1.0);
} 
